Apache2.4为什么启动报错Cannot load php5apache2_4.dll into server-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

Apache2.4为什么启动报错Cannot load php5apache2_4.dll into server

简介: 最近学习php,按照书上的描述,下载好apache和php后,按照其中配置进行,结果遇到了上述问题。花费了近一个半小时的时间解决了上述问题。现把解决问题过程中看到的方法总结如下。    最先肯定是一定要注意版本问题,apache和php要保证都是64位或者x86版本的,这个有时候容易忽略。

     最近学习php,按照书上的描述,下载好apache和php后,按照其中配置进行,结果遇到了上述问题。花费了近一个半小时的时间解决了上述问题。现把解决问题过程中看到的方法总结如下。

   最先肯定是一定要注意版本问题,apache和php要保证都是64位或者x86版本的,这个有时候容易忽略。

    一.首先,当前在apache和php上下载的最新版本的软件多数已经是绿色版的。因此在安装的时候,不能按照一般的下一步方法。而需要如下的方法

    步骤一 Cmd打开命令行窗口,切换到apache安装目录下

    cd  C:\MAS\TRSMAS\win31\apache\bin

    步骤二 安装apache服务器 installed Apache services

    httpd.exe -k install

    

    步骤三 修改配置文件

    编辑文件:<安装目录>\conf\httpd.conf

    

    步骤四测试该服务的配置文件

  httpd.exe -n "MyServiceName" –t

  

  步骤五启动已安装的apache服务

  httpd.exe -k start

  步骤六测试安装结果

  http://localhost:port

  

  FAQ

  1. 未安装服务,现象如下图示——解决方案:执行步骤一、步骤二

  右下角显示

  双击打开右下角图标,显示

  

  2. 配置文件错误,现象如下图示——解决方案:执行步骤三

  

  知识扩展

  1. 安装/卸载Apache服务

  1) 安装apache服务

    httpd.exe -k install

  2) 指定要安装的服务的名称(适用于电脑上有几个不同的Apache服务设施)

    httpd.exe -k install -n "MyServiceName"

  3) 指定服务配置文件的路径和名称

    httpd.exe -k install -n "MyServiceName" -f "c:\files\my.conf"

  注:若不使用特殊参数(如httpd.exe -k install),服务名称为Apache2.X,配置文件为conf\httpd.conf

  4) 移除一个Apache服务

    httpd.exe -k uninstall

  5) 移除特定的Apache服务

    httpd.exe -k uninstall -n "MyServiceName"

  2. 管理Apache服务

  1) 启动已安装的Apache服务

    httpd.exe -k start

  2) 停止已安装的Apache服务

    httpd.exe -k stop || httpd.exe -k shutdown

  3) 重启已安装的Apache服务(迫使服务重读配置文件,适用于修改配置文件后)

    httpd.exe -k restart

二、出现错误,查找解决方法。在出现了Cannot load php5apache2_4.dll into server,该问题后。查了很多,结果我的问题是:

    先手动运行php目录下的php.exe文件,新版本由于需要vc的支持,如果没有安装会提示msvcr110.dll找不到,安装vc即可解决
    安装vc11相关组件,请到 http://www.microsoft.com/zh-CN/download/details.aspx?id=30679 下载
    没有报错后再去配置http.conf文件,加载php5apache2_4.dll(这个代表的是2.4版本的appache),如果是2.2的apache去加载2.4的支持文件,就会报错          Cannot load php5apache2_4.dll into server
    LoadModule php5_module "d:/php/php5apache2_4.dll"
    PHPIniDir "d:/php/"
    我是遇到这个问题,用了2.2的apache去加载2.4的文件,升级了apache到2.4后,问题解决
    http://www.apachelounge.com/download/  apache2.4 版本下载地址

          具体参看http://bbs.csdn.net/topics/390320502

 

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享: